/* 
 * File:   execute.h
 * Author: Arthur Brandao
 *
 * Created on 9 novembre 2018
 */

#ifndef EXECUTE_H
#define EXECUTE_H

/* --- Include --- */
#include <sys/types.h>
#include "constante.h"

/* --- Extern --- */
extern pid_t active;
extern pid_t last;

/* --- Fonctions publiques --- */
boolean is_executable_file(const char *);
int exec_shell(char*, char**);
int exec_file(char*, char**);

#endif /* EXECUTE_H */

